<?php

function showTable($conn,$number) {
    ?>
    <section class="section--center mdl-grid mdl-grid--no-spacing mdl-shadow--2dp">
        <div class="mdl-card mdl-cell mdl-cell--12-col mdl-card--border mdl-card__supporting-text">
            <table style="margin-left: auto; margin-right: auto"
                   class="mdl-data-table mdl-js-data-table mdl-shadow--2dp">
                <thead>
                <tr>
                    <th class="mdl-data-table__cell--non-numeric">Kennung</th>
                    <th class="mdl-data-table__cell--non-numeric">Beschreibung</th>
                    <th class="mdl-data-table__cell--non-numeric">Abkürzung</th>
                </tr>
                </thead>
                <tbody>
                <?php
                $funk = $conn->query("SELECT * FROM `funk` WHERE `gruppe` = ". $number);

                if ($funk->num_rows > 0) {
                    while ($frow = $funk->fetch_assoc()) {
                        ?>
                        <tr>
                            <td class="mdl-data-table__cell--non-numeric"><?php echo $frow['Kennung'] ?></td>
                            <td class="mdl-data-table__cell--non-numeric"><?php echo $frow['Bedeutung'] ?></td>
                            <td class="mdl-data-table__cell--non-numeric"><?php echo $frow['Abk'] ?></td>
                        </tr>
                        <?php
                    }
                }
                ?>
                </tbody>
            </table>
        </div>
    </section>

    <?php
}

$data = new Config();


// Create connection
$conn = new mysqli($data->getSQLHost(), $data->getSQLUser(), $data->getSQLPassword(), $data->getSQLDatabase());
mysqli_set_charset($conn, "utf8");

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}


$result = $conn->query("SELECT * FROM `funk`");


if ($result->num_rows > 0) {
    // output data of each row

    echo("<h4>Führungskräfte</h4>");
    showTable($conn,1);

    echo("<h4>Einsatzleit- und Mannschaftstransportwagen</h4>");
    showTable($conn,2);

    echo("<h4>Tank- und Pulverlöschfahrzeuge</h4>");
    showTable($conn,3);

    echo("<h4>Hubrettungsfahrzeuge</h4>");
    showTable($conn,4);

    echo("<h4>Löschgruppen- und Tragkraftspritzenfahrzeuge</h4>");
    showTable($conn,5);

    echo("<h4>Rüst- und Gerätewagen</h4>");
    showTable($conn,6);

    echo("<h4>Schlauch- und Wechselbehälterfahrzeuge</h4>");
    showTable($conn,7);

    echo("<h4>Sonstige Feuerwehrfahrzeuge</h4>");
    showTable($conn,8);

    echo("<h4>Rettungsdienstfahrzeuge</h4>");
    showTable($conn,9);

} ?>
