<?php
$data = new Config();

// Create connection
$conn = new mysqli($data->getSQLHost(), $data->getSQLUser(), $data->getSQLPassword(), $data->getSQLDatabase());
mysqli_set_charset($conn, "utf8");

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

    // output data of each row
        ?>
        <section class="section--center mdl-grid mdl-grid--no-spacing mdl-shadow--2dp">
            <div class="mdl-card mdl-cell mdl-cell--12-col mdl-card__supporting-text">
                <h4 style="text-align: center">Stichwörter</h4>
                <table style="margin-left: auto; margin-right: auto" class="mdl-data-table mdl-js-data-table mdl-shadow--2dp">
                    <thead>
                    <tr>
                        <th class="mdl-data-table__cell--non-numeric">Kennung</th>
                        <th>Beschreibung</th>
                    </tr>
                    </thead>
                    <tbody>

                    <?php

                    $stich = $conn->query("SELECT * FROM `stich`");

                    if($stich->num_rows > 0) {
                        while ($frow = $stich->fetch_assoc()) {
                            ?>
                            <tr>
                                <td class="mdl-data-table__cell--non-numeric"><?php echo $frow['Einsatzstichwort'] ?></td>
                                <td><?php echo $frow['Bedeutung'] ?></td>
                            </tr>
                            <?php
                        }
                    }
                    ?>
                    </tbody>
                </table>
            </div>
        </section>